<?php
require_once('../classes/body.class.php');
require_once('../classes/db.class.php');
require_once('../classes/system.class.php');
$title= new Body;

$id = isset($_GET['id']) ? abs((int)$_GET['id']) : false;
$array = DB::$dbs->query("SELECT * FROM gazeta_cat WHERE id = ? LIMIT 1", [$id]);
if ($array -> rowCount() == 0) {
header('location: /');
die();
}
$arr = $array -> fetch();
$title->SetTitle('Свежие новости - '.$arr['name'].'');

///Подключаем шапку
$title->GetHeader();
echo '<div class="container-fluid page_header"><div class="container"><div class="row"><div class="col-xs-12 col-sm-8 col-md-9 col-lg-9"><h1>Свежие новости </h1><ol class="breadcrumb" xmlns:v="http://'.homeurl.'/#"><li typeof="v:Breadcrumb"><a href="/" rel="v:url" property="v:title">'.homeurl.'</a></li><li typeof="v:Breadcrumb"><a href="/allnews" rel="v:url" property="v:title">Свежие новости</a></li><li class="active" typeof="v:Breadcrumb"><span property="v:title">'.$arr['name'].'</span></li></ol></div></div></div></div>';
echo'<div class="container page_body"><div class="row"><div class="col-xs-12 page_content col-lg-9"><div class="navbar page_content_navbar collapse hidden-lg"><div class="container-fluid"><div class="navbar-collapse"></div></div></div><div class="text_box hidden-lg pr_block_small hidden"></div><div class="container-fluid cols_table">';

echo '<div class="catSides"><a href="/allnews"><i class="md-format-list-bulleted"></i> Свежие новости </a> - '.$arr['name'].'</div>';

if ($b['jur'] == 1) {
echo '<ul class="nav nav-pills nav-stacked"><li><a href="addnews.html?id='.$id.'"><i class="md-apps"></i>  Добавить новость</a></ul>';
}
$k_post = DB::$dbs->querySingle("SELECT COUNT(id) FROM gazeta_article WHERE cid = ?", [$id]);
if ($k_post == 0) {
err('Записей нет!');
}
$num = 10;
$k_page = k_page($k_post, $num);
$page = page($k_page);
$start = $num*$page-$num;
$sql = DB::$dbs->query("SELECT * FROM gazeta_article WHERE cid = ? ORDER BY time DESC LIMIT $start,$num",[$id]);
while($a = $sql->fetch()) {
echo '<div class="row text_box"><a href="news.html?id='.$a['id'].'"><i class="md-shuffle"></i> '.$a['name'].'</a> ('.vr($a['time']).')</div>';
}
if ($k_page > 1) {
str('?id='.$id.'&',$k_page,$page);
}

///Подключаем меню
$title->GetMenu();

///Подключаем футер
$title->GetFooter();
?>